//
//  nkCompassAppDelegate.m
//  nkCompass

#import "nkCompassAppDelegate.h"
#import "nkCompassViewController.h"

@implementation nkCompassAppDelegate

@synthesize window;
@synthesize viewController;


- (void)applicationDidFinishLaunching:(UIApplication *)application {    

	locationManager = [[CLLocationManager alloc] init];
	
	if (locationManager.headingAvailable == NO) {   // サポートしていなければアラートを表示
		[locationManager release], locationManager = nil;
		UIAlertView* alert = [[UIAlertView alloc] initWithTitle:@"デバイスエラー" 
																										message:@"デジタルコンパスが見つかりません" 
																									 delegate:nil 
																					cancelButtonTitle:@"OK" 
																					otherButtonTitles:nil];
		[alert show];
		[alert release];
	}
	else {  // サポートしていればCLLocationManagerのプロパティを設定
		// delegateをセット
		locationManager.delegate = self.viewController;
		
		locationManager.headingFilter =  kCLHeadingFilterNone;
		
		// デジタルコンパスを有効化
		[locationManager startUpdatingHeading];
	}
	
    // Override point for customization after app launch    
    [window addSubview:viewController.view];
    [window makeKeyAndVisible];
}


- (void)dealloc {
    [viewController release];
    [window release];
    [super dealloc];
}


@end
